# EnumPropsT< TownLayout > Struct Template Reference

It needs to be 8bits, because we save and load it as such Define basic enum properties. More...

`#include <town_type.h>`

Inheritance diagram for EnumPropsT< TownLayout >:

## Detailed Description

### template<>
struct EnumPropsT< TownLayout >

It needs to be 8bits, because we save and load it as such Define basic enum properties.

Definition at line 83 of file town_type.h.

The documentation for this struct was generated from the following file:

- src/town_type.h